
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <proto/dos.h>
#include "defines.h"
#include "cus.h"
#include "rev.h"

void giveversioninfo(char *progname)
{
	char *buffer = NULL;
	char *ptr;

	if ((buffer = (char *)malloc(RANGE_12BIT)) == NULL)
		CU2();
	ptr = buffer;
	strupr(progname);
	ptr += sprintf(ptr, "[1m"
						"            __\n"
						"   /  //  //__)_  / /\n"
						"  (__/(__//   (_)(_(_\n"
						"[0m\n"
						"  the UUCP polling server                    R%s.%d (%s)\n"
						"\n"
						"  (c)Copyright 1991,92 Ralf S. Engelschall, All Rights Reserved.\n"
						"  (c)Copyright 1991,92 Cyvaned Systems,     All Rights Reserved.\n\n",
						Version, Revision, Date );

	ptr += sprintf(ptr, "    This  material is distributed under the conditions specified\n"
						"  in  the  UUPoll  manual file.  Using this program implies that\n"
						"  you have accepted these licence statements and/or conditions.\n"
						"\n"
						"                                    Ralf S. Engelschall\n"
						"                                    rse@angle.muc.sub.org\n\n" );
	strlwr(progname);
	Write(Output(), buffer, (int)(ptr-buffer));
	CUS:
	if (buffer)
		free(buffer);
	return;
}


void giveusage(char *progname)
{
	char *buffer = NULL;
	char *ptr;
	char padstr[RANGE_5BIT];
	int i;
	char *cp;

	if ((buffer = (char *)malloc(RANGE_12BIT)) == NULL)
		CU2();
	ptr = buffer;
	strlwr(progname);
	for (i = strlen(progname), cp = padstr; i > 0; i--)
		*cp++ = SP;
	*cp = NUL;
	ptr += sprintf(ptr, "\n"
						" %s [-s [System]] [-S [System]] [-r Num] [-d Sec] [-t Min]\n"
						" %s [-u Arg] [-m] [-e [Cmnd]] [-E [Cmnd]] [-n [User]]\n"
						" %s [-a] [-p [Num]] [-c [Mode] [-j [Status]]\n"
						" %s [-i [Mode]] [-x Num] [-v] [-?]\n"
						"\n"
						" s  poll the specified system             u  additional uucico arguments\n"
						" S  as 's' but ignore time restriction    m  setup modem before startup\n"
						" r  number of retries before giving up    e  execute after polling session\n"
						" d  seconds of retry delay time           E  as 'e' but execute always\n"
						" t  minutes of restriction time           n  notify user if session fails\n"
						"\n"
						" a  always poll - ignore success status   i  current host status information\n"
						" p  poll only if pending work             x  number of debuglevel\n"
						" c  check for already spawned uucico      v  version info\n"
						" j  switch/set job control status         ?  usage info\n"
						"\n",
						progname, padstr, padstr, padstr);
	Write(Output(), buffer, (int)(ptr-buffer));
	CUS:
	if (buffer)
		free(buffer);
	return;
}

