
#include <exec/types.h>

struct SerialHandle *CreateSerialHandle(LONG Unit, UBYTE Flags);
void DeleteSerialHandle(struct SerialHandle *Handle);
ULONG GetSerialStatus(struct SerialHandle *Handle);
int SetSerialParameters(struct SerialHandle *Handle, ULONG Baud, UBYTE Flags);
ULONG ReadSerial(struct SerialHandle *Handle, unsigned char *Buffer, ULONG Size);
ULONG WriteSerial(struct SerialHandle *Handle, unsigned char *Buffer, ULONG Size);
ULONG GetSerial(struct SerialHandle *Handle);
ULONG PutSerial(unsigned char c, struct SerialHandle *Handle);

struct SerialHandle {
	struct IOExtSer	*sh_SerialIO;
	struct MsgPort	*sh_Port;
	UWORD sh_Status;
};

